package com.usky.sas.service.vo;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

@JsonIgnoreProperties(
        ignoreUnknown = true
)
public class AlarmEventResult {
    private String method;
    private String id;
    private Integer code;
    private Integer channel;

    public AlarmEventResult() {
    }

    public String getMethod() {
        return this.method;
    }

    public String getId() {
        return this.id;
    }

    public Integer getCode() {
        return this.code;
    }

    public Integer getChannel() {
        return this.channel;
    }

    public void setMethod(String method) {
        this.method = method;
    }

    public void setId(String id) {
        this.id = id;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public void setChannel(Integer channel) {
        this.channel = channel;
    }

    public boolean equals(Object o) {
        if (o == this) {
            return true;
        } else if (!(o instanceof AlarmEventResult)) {
            return false;
        } else {
            AlarmEventResult other = (AlarmEventResult)o;
            if (!other.canEqual(this)) {
                return false;
            } else {
                Object this$method = this.getMethod();
                Object other$method = other.getMethod();
                if (this$method == null) {
                    if (other$method != null) {
                        return false;
                    }
                } else if (!this$method.equals(other$method)) {
                    return false;
                }

                Object this$id = this.getId();
                Object other$id = other.getId();
                if (this$id == null) {
                    if (other$id != null) {
                        return false;
                    }
                } else if (!this$id.equals(other$id)) {
                    return false;
                }

                Object this$code = this.getCode();
                Object other$code = other.getCode();
                if (this$code == null) {
                    if (other$code != null) {
                        return false;
                    }
                } else if (!this$code.equals(other$code)) {
                    return false;
                }

                Object this$channel = this.getChannel();
                Object other$channel = other.getChannel();
                if (this$channel == null) {
                    if (other$channel != null) {
                        return false;
                    }
                } else if (!this$channel.equals(other$channel)) {
                    return false;
                }

                return true;
            }
        }
    }

    protected boolean canEqual(Object other) {
        return other instanceof AlarmEventResult;
    }

    public int hashCode() {
        int PRIME = 59;
        int result = 1;
        Object $method = this.getMethod();
        result = result * 59 + ($method == null ? 43 : $method.hashCode());
        Object $id = this.getId();
        result = result * 59 + ($id == null ? 43 : $id.hashCode());
        Object $code = this.getCode();
        result = result * 59 + ($code == null ? 43 : $code.hashCode());
        Object $channel = this.getChannel();
        result = result * 59 + ($channel == null ? 43 : $channel.hashCode());
        return result;
    }

    public String toString() {
        return "AlarmEventResult(method=" + this.getMethod() + ", id=" + this.getId() + ", code=" + this.getCode() + ", channel=" + this.getChannel() + ")";
    }
}
